Package com.orbbec.obsensor

## Class DeviceInfo

- java.lang.Object
- - com.orbbec.obsensor.DeviceInfo

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class DeviceInfo
    extends java.lang.Object
    implements java.lang.AutoCloseable

Device information

### Constructor Summary

Constructors
`DeviceInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated.
`java.lang.String` `getAsicName()` Get chip type name
`java.lang.String` `getConnectionType()` Get the connection type of device
`DeviceType` `getDeviceType()` Get device type
`java.lang.String` `getExtensionInfo()` Get information about extensions obtained from SDK supported by the device
`java.lang.String` `getFirmwareVersion()` Get firmware version number
`java.lang.String` `getHardwareVersion()` Get the version number of the hardware
`java.lang.String` `getIpAddress()` Get the IP address of the device Only valid for network devices, otherwise it will return "0.0.0.0".
`java.lang.String` `getName()` Get device name
`int` `getPid()` Get device identification number
`java.lang.String` `getSerialNumber()` Get device serial number
`java.lang.String` `getSupportedMinSdkVersion()` Get the minimum version number of the SDK supported by the device
`java.lang.String` `getUid()` Get device uid
`java.lang.String` `getUsbType()` Deprecated.
`int` `getVid()` Get the company identification number of the device
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeviceInfo

    public DeviceInfo()

### Method Detail

#### getName

    public java.lang.String getName()

Get device name

Returns:
  device name

#### getPid

    public int getPid()

Get device identification number

Returns:
  device identification number

#### getVid

    public int getVid()

Get the company identification number of the device

Returns:
  company identification number

#### getUid

    public java.lang.String getUid()

Get device uid

Returns:
  Device Unique ID

#### getSerialNumber

    public java.lang.String getSerialNumber()

Get device serial number

Returns:
  devise serial number

#### getUsbType

    @Deprecated
    public java.lang.String getUsbType()

Deprecated.
Get the USB type the device is connected to

Returns:
  The type of USB the device is connected to

#### getConnectionType

    public java.lang.String getConnectionType()

Get the connection type of device

Returns:
  The device connection type

#### getIpAddress

    public java.lang.String getIpAddress()

Get the IP address of the device Only valid for network devices, otherwise it will return "0.0.0.0".

Returns:
  the IP address of the device, such as "192.168.1.10"

#### getFirmwareVersion

    public java.lang.String getFirmwareVersion()

Get firmware version number

Returns:
  Returns the firmware version number

#### getHardwareVersion

    public java.lang.String getHardwareVersion()

Get the version number of the hardware

Returns:
  Returns the version number of the hardware

#### getExtensionInfo

    public java.lang.String getExtensionInfo()

Get information about extensions obtained from SDK supported by the device

Returns:
  extended information about the device

#### getSupportedMinSdkVersion

    public java.lang.String getSupportedMinSdkVersion()

Get the minimum version number of the SDK supported by the device

Returns:
  Returns the minimum SDK version number supported by the device

#### getAsicName

    public java.lang.String getAsicName()

Get chip type name

Returns:
  Returns the chip type name

#### getDeviceType

    public DeviceType getDeviceType()

Get device type

Returns:
  Returns the device type

#### close

    @Deprecated
    public void close()

Deprecated.
resource release

Specified by:
  `close` in interface `java.lang.AutoCloseable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`